#include "intervalleperso.h"

IntervallePerso::IntervallePerso(QWidget *parent)
    : QDialog(parent)
{
	ui.setupUi(this);
	setWindowIcon(QIcon(":/WallpaperRotator2.png"));
	connect(ui.OK, SIGNAL(clicked()), this, SLOT(hide()));
}

IntervallePerso::~IntervallePerso()
{

}

void IntervallePerso::setIntervalle(int intervalle) {
    ui.intervalle->setText(QString::number(intervalle, 10));
}

int IntervallePerso::getIntervalle() {
    return ui.intervalle->text().toInt(NULL, 10);
}
