/*
 * listeemplacements.h
 *
 *  Created on: 10 avr. 2011
 *      Author: sarterm
 */

#ifndef LISTEEMPLACEMENTS_H_
#define LISTEEMPLACEMENTS_H_

#include <QAbstractListModel>
#include <QStringList>

class ListeEmplacements : public QAbstractListModel {
public:
    ListeEmplacements();
    virtual ~ListeEmplacements();

    int rowCount(const QModelIndex &parent = QModelIndex()) const;
    int columnCount(const QModelIndex &parent = QModelIndex()) const;
    QVariant headerData(int section, Qt::Orientation orientation, int role) const;
    QVariant data(const QModelIndex &index, int role = Qt::DisplayRole) const;
    Qt::ItemFlags flags(const QModelIndex & index) const;

    void ajouterEmplacement(QString path, QString filtre);
    void supprimerEmplacement(int ligne);

    int getLigne(QString path, QString filtre);

    QString getPath(int ligne);
    QString getFiltre(int ligne);

    bool getSelection(int ligne);
    void setSelection(int ligne, bool selected);

private:
    QStringList* listeEmplacements;
    QStringList* listeFiltres;
    QList<bool>* listeSelection;
};

#endif /* LISTEEMPLACEMENTS_H_ */
