/*
 * rotator.h
 *
 *  Created on: 10 avr. 2011
 *      Author: sarterm
 */

#ifndef ROTATOR_H_
#define ROTATOR_H_

#include <QTimer>
#include <QDir>
#include "listeemplacements.h"
#include "windows.h"
#include "parametres.h"

class Rotator : public QObject {
    Q_OBJECT
public:
    Rotator();
    virtual ~Rotator();

    void listerFichiers(ListeEmplacements* emplacements);
    void demarrer();
    void arreter();

    void setTimer(int secondes);

public slots:
    void changerWallpaper();

private:
    QTimer* timer;
    int currentFile;
    int filesCount;
    QStringList filesList; // Liste des fichiers trouvs
    int randFilesCount; // Nombre de fichiers restants avant de reboucler
};

#endif /* ROTATOR_H_ */
