/*
 * parametres.h
 *
 *  Created on: 10 avr. 2011
 *      Author: sarterm
 */

#ifndef PARAMETRES_H_
#define PARAMETRES_H_

#include <QSettings>
#include <QVariant>
#include <QMessageBox>
#include <QIcon>
#include <windows.h>

class Parametres {
public:
    static int getIntervalle();
    static void setIntervalle(int intervalle);

    enum STYLE {UNDEF, CENTERED, TILED, STRETCHED, ADJUST, FILL};
    static STYLE getStyle();
    static void setStyle(STYLE style);

    static bool isActive();
    static void setActive(bool active);

    static QString getEmplacementPath(int ligne);
    static QString getEmplacementFiltre(int ligne);
    static bool isEmplacementSelected(int ligne);
    static void setEmplacement(int ligne, QString path, QString filtre, bool selected);
    static void deleteEmplacement(int ligne);

private:
    static void charger();
    static QSettings* fichierIni;
};

#endif /* PARAMETRES_H_ */
